Bug 1177035 - [abrt] yum: sqlutils.py:166:executeSQLQmark:OperationalError: database is locked
Summary: [abrt] yum: sqlutils.py:166:executeSQLQmark:OperationalError: database is locked
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 21
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bb0c5704ce00d0499f6aeb8c857...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-23 21:59 UTC by libcha
Modified: 2015-12-02 16:50 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 06:24:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.48 KB, text/plain)
2014-12-23 21:59 UTC, libcha
no flags Details
File: environ (2.90 KB, text/plain)
2014-12-23 21:59 UTC, libcha
no flags Details

Description libcha 2014-12-23 21:59:40 UTC
Description of problem:
yum localinstall rpmfusion rpm
there is an icon on the panel at the same time, notifying me that 1 update is available

Version-Release number of selected component:
yum-3.4.3-153.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/yum localinstall /tmp/rpmfusion-free-release-21.noarch.rpm
executable:     /usr/bin/yum
kernel:         3.17.7-300.fc21.i686
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sqlutils.py:166:executeSQLQmark:OperationalError: database is locked

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 371, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 277, in main
    return_code = base.doTransaction(inhibit=inhibit)
  File "/usr/share/yum-cli/cli.py", line 797, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1776, in runTransaction
    lastdbv = self.history.last()
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1267, in last
    ret = self.old([], 1, complete_transactions_only)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1216, in old
    executeSQL(cur, sql, params)
  File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 166, in executeSQLQmark
    return cursor.execute(query)
OperationalError: database is locked

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0xb5253c20>
query: 'SELECT tid,\n                         trans_beg.timestamp AS beg_ts,\n                         trans_beg.rpmdb_version AS beg_rv,\n                         trans_end.timestamp AS end_ts,\n                         trans_end.rpmdb_version AS end_rv,\n                         loginuid, return_code\n                  FROM trans_beg JOIN trans_end USING(tid) ORDER BY tid DESC LIMIT 1'
params: None

Potential duplicate: bug 756406

Comment 1 libcha 2014-12-23 21:59:43 UTC
Created attachment 972532 [details]
File: backtrace

Comment 2 libcha 2014-12-23 21:59:44 UTC
Created attachment 972533 [details]
File: environ

Comment 3 Alex Souza 2014-12-24 01:18:41 UTC
Another user experienced a similar problem:

Faço instalação do pacote easylife e aparece que a instalação foi feita com sucesso, porém ao clicar no icone para iniçiar o programa aparece a mensagem que o processo filho não pode ser encontrado. 

reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /bin/yum -y install bleachbit
executable:     /bin/yum
kernel:         3.17.7-300.fc21.i686
package:        yum-3.4.3-153.fc21
reason:         sqlutils.py:166:executeSQLQmark:OperationalError: database is locked
runlevel:       N 5
type:           Python
uid:            0

Comment 4 Fedora End Of Life 2015-11-04 12:04:38 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-12-02 06:25:03 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.